package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_homework_template):
 */
public class CourseHomeworkTemplate {

	/**  */
	@ApiModelProperty(value = "模板ID",required = false)
	private Integer id;
	
	/** 模板名称 */
	@ApiModelProperty(value = "模板名称",required = true)
	private String name;
	
	/** 模板内容 */
	@ApiModelProperty(value = "模板内容",required = true)
	private String content;

	/** 是否删除  -1：已删除  0：正常 */
	@ApiModelProperty(value = "是否删除  1：已删除  0：正常",required = false)
	private YesOrNoEnum delFlag;
	
	/**  */
	@ApiModelProperty(value = "创建日期",required = false)
	private java.util.Date createTime;
	
	/**  */
	@ApiModelProperty(value = "更新日期",required = false)
	private java.util.Date updateTime;

	/** 班级类型(普通班级、合奏班级) */
	@ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = true)
	private ClassGroupTypeEnum classGroupType;
	
	/**  */
	@ApiModelProperty(value = "声部ID",required = true)
	private Integer subjectId;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public ClassGroupTypeEnum getClassGroupType() {
		return classGroupType;
	}

	public void setClassGroupType(ClassGroupTypeEnum classGroupType) {
		this.classGroupType = classGroupType;
	}

	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
